Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored

From: Eli Zaretskii <[email-masked]>
Date: Mon, 12 Dec 2022 17:45:44 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: Gregory Heytings <[email-masked]>,  Eli Zaretskii <[email-masked]>,
>   [email-masked]
> Date: Mon, 12 Dec 2022 10:30:10 -0500
> 
> Your patch made the C code more complex (not just slower) for the
> benefit of a cleaner ELisp-level interface.  A better way to get that
> same result would be to write an ELisp function on top of Gregory's
> bitmask variable.
> This way, you'd get a clean&simple&efficient C code still with
> a convenient ELisp API.
> 
> Any chance someone could do that so we can move on?

I suggested a simple way out of this, I hope you like it.  If there
are no objections, I will implement it soon.